<?php

namespace Koneko\VuexyWebsiteLayoutPorto\Providers;

use Illuminate\Support\ServiceProvider;
use Livewire\Livewire;

class VuexyWebsiteLayoutPortoServiceProvider extends ServiceProvider
{
    /**
     * Register any application services.
     */
    public function register(): void
    {
        //
    }

    /**
     * Bootstrap any application services.
     */
    public function boot(): void
    {
        // Register the module's routes
        $this->loadRoutesFrom(__DIR__.'/../routes/admin.php');


        // Cargar vistas del paquete
        $this->loadViewsFrom(__DIR__.'/../resources/views', 'vuexy-website-layout-porto');


        // Registrar Livewire Components
        $components = [
            // Porto template
            'vuexy-website-layout-porto::template-index' => TemplateIndex::class,

            // Banners
            'vuexy-website-layout-porto::banners-index' => BannersIndex::class,

            // Widgets
            'vuexy-website-layout-porto::widgets-index' => WidgetsIndex::class,

            // Custom CSS
            'vuexy-website-layout-porto::custom-css-index' => CustomCssIndex::class,
        ];

        foreach ($components as $alias => $component) {
            Livewire::component($alias, $component);
        }

    }
}
